Package org.apache.cayenne.tx

## Class DefaultTransactionFactory

- java.lang.Object
- - org.apache.cayenne.tx.DefaultTransactionFactory

- All Implemented Interfaces:
    `TransactionFactory`

      public class DefaultTransactionFactory
      extends Object
      implements TransactionFactory

  Since:
    4.0

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected boolean` | `externalTransactions` |
    `protected JdbcEventLogger` | `jdbcEventLogger` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DefaultTransactionFactory​(RuntimeProperties properties, JdbcEventLogger jdbcEventLogger)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Transaction` | `createTransaction()` |
    `Transaction` | `createTransaction​(TransactionDescriptor descriptor)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### externalTransactions

          protected boolean externalTransactions

    - #### jdbcEventLogger

          protected JdbcEventLogger jdbcEventLogger

  - ### Constructor Detail

    - #### DefaultTransactionFactory

          public DefaultTransactionFactory​(RuntimeProperties properties,
                                           JdbcEventLogger jdbcEventLogger)

  - ### Method Detail

    - #### createTransaction

          public Transaction createTransaction()

      Specified by:
        `createTransaction` in interface `TransactionFactory`

    - #### createTransaction

          public Transaction createTransaction​(TransactionDescriptor descriptor)

      Specified by:
        `createTransaction` in interface `TransactionFactory`
      Parameters:
        `descriptor` - with required transaction properties
      Returns:
        new transaction
      Since:
        4.1